#include "Errors.h"
#include "Text.h"
#include <stdexcept>

void Framework::throwOutOfRange( const char *file, int line, int index, int count )
{
    Framework::Text err = "Index out of Range Exception File: ";
    err += file;
    err += " Line: ";
    err += line;
    err += " Index: ";
    err += index;
    err += " Element count: ";
    err += count;
    throw std::out_of_range( (char *)err );
}